be.ehealth.businessconnector.therlink.domain

## Class TherapeuticLink.Builder

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.TherapeuticLink.Builder

- Enclosing class:
    TherapeuticLink

      public static class TherapeuticLink.Builder
      extends Object

  TherapeuticLink static builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TherapeuticLink` | `build()`
    `TherapeuticLink.Builder` | `withComment(String comment)`
    `TherapeuticLink.Builder` | `withEndDate(org.joda.time.LocalDate date)`
    `TherapeuticLink.Builder` | `withEndDateTime(org.joda.time.DateTime date)`
    `TherapeuticLink.Builder` | `withHcParty(HcParty hcp)`
    `TherapeuticLink.Builder` | `withPatient(Patient patient)`
    `TherapeuticLink.Builder` | `withStartDate(org.joda.time.LocalDate date)`
    `TherapeuticLink.Builder` | `withStartDateTime(org.joda.time.DateTime date)`
    `TherapeuticLink.Builder` | `withStatus(TherapeuticLinkStatus status)`
    `TherapeuticLink.Builder` | `withType(String type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withPatient

          public TherapeuticLink.Builder withPatient(Patient patient)

    - #### withHcParty

          public TherapeuticLink.Builder withHcParty(HcParty hcp)

    - #### withStartDate

          public TherapeuticLink.Builder withStartDate(org.joda.time.LocalDate date)

    - #### withEndDate

          public TherapeuticLink.Builder withEndDate(org.joda.time.LocalDate date)

    - #### withStartDateTime

          public TherapeuticLink.Builder withStartDateTime(org.joda.time.DateTime date)

    - #### withEndDateTime

          public TherapeuticLink.Builder withEndDateTime(org.joda.time.DateTime date)

    - #### withType

          public TherapeuticLink.Builder withType(String type)

    - #### withComment

          public TherapeuticLink.Builder withComment(String comment)

    - #### build

          public TherapeuticLink build()

    - #### withStatus

          public TherapeuticLink.Builder withStatus(TherapeuticLinkStatus status)

      Parameters:
        `status` -
      Returns:

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.